//=============================================================================
//							usb_msd.h
//							---------
//
//=============================================================================
#ifndef USB_MSD_H_ONCE
#define USB_MSD_H_ONCE

#include <cyg/io/io.h>
#include <cyg/io/usb/usbs.h>


#define	USB_MSD_MAX_DEVICES			2

typedef struct
{
	char 					*device;			// for example "/dev/mmc"
	
	usbs_control_endpoint 	*endp_ctrl;
	usbs_rx_endpoint		*endp_out;
	usbs_tx_endpoint		*endp_in;
	
} USB_MSD_CONF;



externC int usb_msd_init(void);
externC int usb_msd_open( USB_MSD_CONF *conf, int *token );
externC int usb_msd_close( int token );








#endif
